#include <iostream>

using namespace std;

int main()
{
    int a,n,d;
cin>>n;
int e=0;
int b=0;
int niz[n];
for  (n;n>0;n--){
    cin>>a;
niz[b]=a;
b++;
}
do{
        d=b-1;
while(d>e){
    if(niz[e]<niz[d]&&niz[d]!=0){
        int ne,da;
        da=niz[e];
        ne=niz[d];
        niz[d]=da;
        niz[e]=ne;
        break ;
    }
d--;
}
 e++;
}while(e<b-1);
for (int c=0;c<b;c++){
cout<<niz[c]<<" ";
}
}